Name:       beakerlib
Summary:    A shell-level integration testing library
Version:    1.18.1
Release:    2
License:    GPLv2
BuildArch:  noarch
URL:        https://github.com/%{name}/%{name}
Autoreq:    0
Requires:   nfs-utils
Requires:   /bin/bash
Requires:   /bin/sh
Recommends: /usr/bin/python3
Recommends: /usr/bin/perl
Requires:   grep sed iproute coreutils tar gzip
Requires:   util-linux which dnf-utils
Requires:   /usr/bin/bc /usr/bin/time
Requires:   (wget or curl)
Suggests:   wget
Recommends: python3-lxml
Recommends: /usr/bin/xmllint
Conflicts:  beakerlib-redhat < 1-30

BuildRequires: /usr/bin/pod2man perl-generators util-linux

Source0:    https://github.com/beakerlib/beakerlib/archive/%{version}.tar.gz

Patch0: bugzilla-links.patch
Patch1: python3.patch
Patch2: Count-CPUs-optimization.patch
Patch3: enahanced-library-search.patch

%package_help

%prep
%autosetup -p1 -n %{name}-%{version}

%build
make build

%install
%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}
%{!?_tmpfilesdir: %global _tmpfilesdir %{_prefix}/lib/tmpfiles.d/}
rm -rf $RPM_BUILD_ROOT
make PKGDOCDIR=%{_pkgdocdir} DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/%{_tmpfilesdir}
touch ./beakerlib-tmpfiles.conf
cat >beakerlib-tmpfiles.conf<<EOF
x /var/tmp/beakerlib-*
EOF
install -m 0644 ./beakerlib-tmpfiles.conf $RPM_BUILD_ROOT/%{_tmpfilesdir}/%{name}.conf

%description
The BeakerLib project means to provide a library of various helpers, which
could be used when writing operating system level integration tests.

%files
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/xslt-templates
%{_datadir}/%{name}/dictionary.vim
%{_datadir}/%{name}/*.sh
%{_datadir}/%{name}/xslt-templates/*
%{_bindir}/%{name}-*
%config %{_tmpfilesdir}/%{name}.conf

%package vim-syntax
Summary: Files for syntax highlighting BeakerLib tests in VIM editor
Requires: vim-common
BuildRequires: vim-common

%description vim-syntax
Files for syntax highlighting BeakerLib tests in VIM editor

%files vim-syntax
%{_datadir}/vim/vimfiles/after/ftdetect/beakerlib.vim
%{_datadir}/vim/vimfiles/after/syntax/beakerlib.vim

%files help 
%{_mandir}/man1/%{name}*1*
%dir %{_pkgdocdir}
%dir %{_pkgdocdir}/examples
%dir %{_pkgdocdir}/examples/*
%doc %{_pkgdocdir}/*

%changelog
* Tue Jan 5 2021 Ge Wang <wangge20@huawei.com> - 1.18.1-2
- Modify Source file

* Sat Aug 1 2020 zhangxingliang <zhangxingliang3@huawei.com> - 1.18.1-1
- Package init
